#!/bin/sh

#
# Runs the WSDL2TFIM tool for taking WSDL documents and generating TFIM STS module chains.
#
# NB. Requires Java 1.4.2 or better. Ensure WAS_JARS is set for the correct version of WAS.
#

# Make sure the Java home directory is correct.

export JAVA_HOME=/opt/IBM/WebSphere/AppServer/java/jre

# Make sure the WAS home directory location is correct.

export WAS_HOME=/opt/IBM/WebSphere/AppServer

# Make sure the FIM home directory location is correct.

export FIM_HOME=/opt/IBM/FIM

# The WSSM home directory.

export WSSM_HOME=$FIM_HOME/wssm

# The required WAS 6.0.2 jars.

#export WAS_JARS=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/lib/wsdl4j.jar:$WAS_HOME/lib/management.jar:$WAS_HOME/lib/admin.jar:$WAS_HOME/lib/utils.jar:$WAS_HOME/lib/wsexception.jar:$WAS_HOME/lib/wssec.jar:$WAS_HOME/lib/ras.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/lib/emf.jar:$WAS_HOME/lib/sas.jar:$WAS_HOME/lib/ffdc.jar:$WAS_HOME/lib/wasjmx.jar:$WAS_HOME/lib/soap.jar:$WAS_HOME/lib/classloader.jar:$WAS_HOME/lib/wasproduct.jar

# The required WAS 6.1 jars.

export WAS_JARS=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.emf_2.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.security.crypto_6.1.0.jar

# The required WAS 6.1.0.3 or above jars.

#export WAS_JARS=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.emf_2.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.security.crypto_6.1.0.jar:$WAS_HOME/plugins/org.eclipse.emf.ecore_2.2.1.v200609210005.jar:$WAS_HOME/plugins/org.eclipse.emf.common_2.2.1.v200609210005.jar

# The required WSSM jars.

export WSSM_JARS=$WSSM_HOME/lib/itfim-wssm-common.jar:$WSSM_HOME/lib/itfim-wssm-mgmt.jar:$WSSM_HOME/lib/itfim-mgmt.jar:$WSSM_HOME/lib/itfim-midmgr.jar:$WSSM_HOME/lib/itfim-common.jar:$WSSM_HOME/lib/itfim-locale.jar:$WSSM_HOME/lib/itfim-rteconf.jar:$WSSM_HOME/lib/itfim-trustserver-common.jar

export CLASSPATH=$WSSM_HOME:$WSSM_JARS:$WAS_JARS:$CLASSPATH

$JAVA_HOME/bin/java -Djava.ext.dirs="$JAVA_HOME/lib/ext:$WAS_HOME/lib" -Djava.util.logging.config.file=$WSSM_HOME/logging.properties -DWSSM_HOME=$WSSM_HOME com.tivoli.am.fim.wssm.management.WSDL2TFIM $*
